https://pulumi.com logo
Title
m

microscopic-dress-1605

05/18/2021, 12:06 PM
I’m trying to upgrade a Pulumi library (not a program) written in Typescript from Pulumi v2 to v3 without much luck. The unit tests of the library complain with:
Error: Program run without the Pulumi engine available; re-run using the `pulumi` CLI
As if the mocks are not taken into account. I’ve done the necessary modifications to the mock definition as defined by the Upgrading to Pulumi v3 documentation. The unit tests worked perfectly well with the v2 of the Pulumi SDK. Note: By Pulumi library I mean it defines a generic set of infrastructure that is reused by several Pulumi programs. So, it does not define a stack. This is similar to Terraform modules. Does anyone has an idea what could be the problem? Thank you for your help.
Found it! I also had to upgrade the
@pulumi/aws
Node.js package.